This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877661 - Review Request: seam-conversation - Conversation management logic
Review Request: seam-conversation - Conversation management logic
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-17 12:57 EST by gil cattaneo
Modified: 2013-01-11 18:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-29 01:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gerard: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-11-17 12:57:09 EST
Spec URL: http://gil.fedorapeople.org/seam-conversation.spec
SRPM URL: http://gil.fedorapeople.org/seam-conversation-3.1.0-1.fc16.src.rpm
Description: 
This is where different CDI impls should abstract its 
conversation management logic until that is part of the CDI spec.

Fedora Account System Username: gil
Comment 1 gil cattaneo 2012-11-17 13:17:05 EST
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4698491
Comment 2 Gerard Ryan 2012-12-19 11:12:57 EST
I'll review this.
Comment 3 Gerard Ryan 2012-12-19 11:46:30 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)". 1 files have unknown license. Detailed output of
     licensecheck in /home/grdryn/dev/fedora/review/877661-seam-
     conversation/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: If package uses '-Dmaven.local.depmap' explain why it was needed in a
     comment
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If package uses "-Dmaven.test.skip=true" explain why it was needed in a
     comment
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: seam-conversation-3.1.0-1.fc19.src.rpm
          seam-conversation-javadoc-3.1.0-1.fc19.noarch.rpm
          seam-conversation-3.1.0-1.fc19.noarch.rpm
seam-conversation.src: W: spelling-error %description -l en_US impls -> imps, impels, limps
seam-conversation.src: W: invalid-url Source0: seam-conversation-3.1.0.Final.tar.xz
seam-conversation.noarch: E: explicit-lib-dependency tomcat-lib
seam-conversation.noarch: W: spelling-error %description -l en_US impls -> imps, impels, limps
3 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint seam-conversation-javadoc seam-conversation
seam-conversation.noarch: E: explicit-lib-dependency tomcat-lib
seam-conversation.noarch: W: spelling-error %description -l en_US impls -> imps, impels, limps
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
seam-conversation-javadoc-3.1.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils

seam-conversation-3.1.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    cdi-api
    java
    jboss-jsf-2.1-api
    jboss-servlet-3.0-api
    jpackage-utils
    tomcat-lib
    weld-api
    weld-core



Provides
--------
seam-conversation-javadoc-3.1.0-1.fc19.noarch.rpm:
    
    seam-conversation-javadoc = 3.1.0-1.fc19

seam-conversation-3.1.0-1.fc19.noarch.rpm:
    
    mvn(org.jboss.seam.conversation:seam-conversation) = 3.1.0.Final
    mvn(org.jboss.seam.conversation:seam-conversation-spi) = 3.1.0.Final
    mvn(org.jboss.seam.conversation:seam-conversation-weld) = 3.1.0.Final
    seam-conversation = 3.1.0-1.fc19



MD5-sum check
-------------


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 877661 -m fedora-rawhide-x86_64


This all looks fine. ACCEPTED.
Comment 4 gil cattaneo 2012-12-19 12:39:31 EST
New Package SCM Request
=======================
Package Name: seam-conversation
Short Description: Conversation management logic
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 5 Jon Ciesla 2012-12-19 12:59:52 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-12-20 05:17:46 EST
seam-conversation-3.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/seam-conversation-3.1.0-1.fc18
Comment 7 Fedora Update System 2012-12-20 06:00:51 EST
seam-conversation-3.1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/seam-conversation-3.1.0-1.fc17
Comment 8 Fedora Update System 2012-12-20 20:33:29 EST
seam-conversation-3.1.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-12-29 01:30:03 EST
seam-conversation-3.1.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2013-01-11 18:15:29 EST
seam-conversation-3.1.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.